CREATE TABLE fa_deprn_detail_h (
    DISTRIBUTION_ID                  NUMBER(18, 0),
    ASSET_ID                         NUMBER(18, 0)    NOT NULL,
    BOOK_TYPE_CODE                   VARCHAR2(120),
    PERIOD_COUNTER                   NUMBER(18, 0),
    DEPRN_RUN_ID                     NUMBER(18, 0),
    DEPRN_SOURCE_CODE                VARCHAR2(4)  ,
    DEPRN_RUN_DATE                   DATE         ,
    DEPRN_AMOUNT                     NUMBER       ,
    YTD_DEPRN                        NUMBER       ,
    DEPRN_RESERVE                    NUMBER       ,
    ADDITION_COST_TO_CLEAR           NUMBER       ,
    COST                             NUMBER       ,
    DEPRN_ADJUSTMENT_AMOUNT          NUMBER       ,
    REVAL_AMORTIZATION               NUMBER       ,
    REVAL_DEPRN_EXPENSE              NUMBER       ,
    REVAL_RESERVE                    NUMBER       ,
    YTD_REVAL_DEPRN_EXPENSE          NUMBER       ,
    BONUS_DEPRN_AMOUNT               NUMBER       ,
    BONUS_YTD_DEPRN                  NUMBER       ,
    BONUS_DEPRN_RESERVE              NUMBER       ,
    BONUS_DEPRN_ADJUSTMENT_AMOUNT    NUMBER       ,
    EVENT_ID                         NUMBER(18, 0),
    REVERSAL_EVENT_ID                NUMBER(18, 0),
    REVERSAL_DATE                    DATE         ,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    GENERAL_FUND                     NUMBER       ,
    CAPITAL_ADJUSTMENT               NUMBER       ,
    IMPAIRMENT_AMOUNT                NUMBER       ,
    YTD_IMPAIRMENT                   NUMBER       ,
    IMPAIRMENT_RESERVE               NUMBER       ,
    ACCELERATED_DEPRN_AMOUNT         NUMBER       ,
    ACCELERATED_DEPRN_RESERVE        NUMBER       ,
    ACCELERATED_YTD_DEPRN            NUMBER       ,
    ACC_DEPRN_ADJUSTMENT_AMOUNT      NUMBER       ,
    REVAL_AMORT_BALANCE              NUMBER       ,
    YTD_REVAL_AMORTIZATION           NUMBER       ,
    REVAL_AMORTIZATION_ADJUSTMENT    NUMBER       ,
    BACKLOG_DEPRN_RESERVE            NUMBER       ,
    YTD_BACKLOG_DEPRN                NUMBER       ,
    ANNUITY_INTEREST_AMOUNT          NUMBER       ,
    YTD_ANNUITY_INTEREST             NUMBER       ,
    LTD_ANNUITY_INTEREST             NUMBER       ,
    ANNUITY_INTEREST_ADJ_AMOUNT      NUMBER       ,
    DISTRIBUTION_ID                  NUMBER(18, 0),
    ASSET_ID                         NUMBER(18, 0)    NOT NULL,
    BOOK_TYPE_CODE                   VARCHAR2(120),
    PERIOD_COUNTER                   NUMBER(18, 0),
    DEPRN_RUN_ID                     NUMBER(18, 0),
    DEPRN_SOURCE_CODE                VARCHAR2(4)  ,
    DEPRN_RUN_DATE                   DATE         ,
    DEPRN_AMOUNT                     NUMBER       ,
    YTD_DEPRN                        NUMBER       ,
    DEPRN_RESERVE                    NUMBER       ,
    ADDITION_COST_TO_CLEAR           NUMBER       ,
    COST                             NUMBER       ,
    DEPRN_ADJUSTMENT_AMOUNT          NUMBER       ,
    REVAL_AMORTIZATION               NUMBER       ,
    REVAL_DEPRN_EXPENSE              NUMBER       ,
    REVAL_RESERVE                    NUMBER       ,
    YTD_REVAL_DEPRN_EXPENSE          NUMBER       ,
    BONUS_DEPRN_AMOUNT               NUMBER       ,
    BONUS_YTD_DEPRN                  NUMBER       ,
    BONUS_DEPRN_RESERVE              NUMBER       ,
    BONUS_DEPRN_ADJUSTMENT_AMOUNT    NUMBER       ,
    EVENT_ID                         NUMBER(18, 0),
    REVERSAL_EVENT_ID                NUMBER(18, 0),
    REVERSAL_DATE                    DATE         ,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    GENERAL_FUND                     NUMBER       ,
    CAPITAL_ADJUSTMENT               NUMBER       ,
    IMPAIRMENT_RESERVE               NUMBER       ,
    YTD_IMPAIRMENT                   NUMBER       ,
    IMPAIRMENT_AMOUNT                NUMBER       ,
    ACCELERATED_DEPRN_AMOUNT         NUMBER       ,
    ACCELERATED_DEPRN_RESERVE        NUMBER       ,
    ACCELERATED_YTD_DEPRN            NUMBER       ,
    ACC_DEPRN_ADJUSTMENT_AMOUNT      NUMBER       ,
    REVAL_AMORT_BALANCE              NUMBER       ,
    YTD_REVAL_AMORTIZATION           NUMBER       ,
    REVAL_AMORTIZATION_ADJUSTMENT    NUMBER       ,
    BACKLOG_DEPRN_RESERVE            NUMBER       ,
    YTD_BACKLOG_DEPRN                NUMBER       ,
    ANNUITY_INTEREST_AMOUNT          NUMBER       ,
    YTD_ANNUITY_INTEREST             NUMBER       ,
    LTD_ANNUITY_INTEREST             NUMBER       ,
    ANNUITY_INTEREST_ADJ_AMOUNT      NUMBER       ,
    CONSTRAINT pk_fa_deprn_detail_h PRIMARY KEY (DISTRIBUTION_ID, BOOK_TYPE_CODE, PERIOD_COUNTER, DEPRN_RUN_ID, DISTRIBUTION_ID, BOOK_TYPE_CODE, PERIOD_COUNTER, DEPRN_RUN_ID)
);
